Bug 169182 - x86info 1.15 giving error on Sempron 64
x86info 1.15 giving error on Sempron 64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: x86info (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 01:52 EDT by Yan-Fa Li
Modified: 2015-01-04 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 19:34:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yan-Fa Li 2005-09-24 01:52:01 EDT
Description of problem:
When I use x86info on a Sempron 64 I get an unexpected error.

Version-Release number of selected component (if applicable): 1.15

How reproducible:
Every time.

Steps to Reproduce:
1. run: x86info

Actual results:
[root@mythbackend ~]# x86info 
x86info v1.15.  Dave Jones 2001-2005
Feedback to <davej@redhat.com>.

readEntry: Operation not permitted
Found 1 CPU

Expected results:
A dump of the x86 info for the Sempron.

Additional info:
# uname -a
Linux mythbackend.faultyvision.net 2.6.12-1.1456_FC4 #1 Thu Sep 22 02:11:36 EDT
2005 x86_64 x86_64 x86_64 GNU/Linux

# cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 44
model name      : AMD Sempron(tm) Processor 3000+
stepping        : 2
cpu MHz         : 999.729
cache size      : 128 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow
pni lahf_lm
bogomips        : 1979.73
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc
Comment 1 Dave Jones 2005-09-24 02:15:33 EDT
do you get a msg in dmesg|tail after running this ?
Comment 2 Dave Jones 2005-09-24 02:18:10 EDT
also, do you get anything extra if you run x86info -v ?
Comment 3 Yan-Fa Li 2005-09-24 02:48:47 EDT
Ah, dmesg contained this:
Program x86info tried to read /dev/mem between 850401->850441.We stopped at 850

# x86info -v
x86info v1.15.  Dave Jones 2001-2005
Feedback to <davej@redhat.com>.

readEntry: Operation not permitted
Found 1 CPU

Comment 4 Dave Jones 2005-09-24 14:23:25 EDT
ah, I see the problem. the mptable.c is riddled with 32bit'isms.
That's not going to work at all on x86-64.
I'll look at rewriting it for 1.16
Comment 5 Dave Jones 2005-09-24 16:48:58 EDT
can you try   http://people.redhat.com/davej/x86info-1.16-1.12.x86_64.rpm
and see if that fixes it for you ?
Comment 6 Yan-Fa Li 2005-09-25 20:55:49 EDT
That's better.  Here's the output, not as fancy as on a P4 but at least it works
now.  Thanks.


# x86info -v
x86info v1.16.  Dave Jones 2001-2005
Feedback to <davej@redhat.com>.

Found 1 CPU
--------------------------------------------------------------------------
Family: 15 Model: 12 Stepping: 2
CPU Model : Athlon 64 
Feature flags:
 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflsh
mmx fxsr sse sse2 sse3

Note You need to log in before you can comment on or make changes to this bug.